searchNodes=[{"doc":"API client metadata for GoogleApi.Genomics.V1.","ref":"GoogleApi.Genomics.V1.html","title":"GoogleApi.Genomics.V1","type":"module"},{"doc":"","ref":"GoogleApi.Genomics.V1.html#discovery_revision/0","title":"GoogleApi.Genomics.V1.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged Operations.","ref":"GoogleApi.Genomics.V1.Api.Operations.html","title":"GoogleApi.Genomics.V1.Api.Operations","type":"module"},{"doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. Clients may use Operations.GetOperation or Operations.ListOperations to check whether the cancellation succeeded or the operation completed despite cancellation. Authorization requires the following Google IAM permission&#58; genomics.operations.cancel Parameters connection (type: GoogleApi.Genomics.V1.Connection.t) - Connection to server name (type: String.t) - The name of the operation resource to be cancelled. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Genomics.V1.Model.CancelOperationRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Genomics.V1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Genomics.V1.Api.Operations.html#genomics_operations_cancel/4","title":"GoogleApi.Genomics.V1.Api.Operations.genomics_operations_cancel/4","type":"function"},{"doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service. Authorization requires the following Google IAM permission&#58; genomics.operations.get Parameters connection (type: GoogleApi.Genomics.V1.Connection.t) - Connection to server name (type: String.t) - The name of the operation resource. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Genomics.V1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.Genomics.V1.Api.Operations.html#genomics_operations_get/4","title":"GoogleApi.Genomics.V1.Api.Operations.genomics_operations_get/4","type":"function"},{"doc":"Lists operations that match the specified filter in the request. Authorization requires the following Google IAM permission&#58; genomics.operations.list Parameters connection (type: GoogleApi.Genomics.V1.Connection.t) - Connection to server name (type: String.t) - The name of the operation&#39;s parent resource. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :filter (type: String.t) - A string for filtering Operations. In v2alpha1, the following filter fields are supported&#58; createTime&#58; The time this job was created events&#58; The set of event (names) that have occurred while running the pipeline. The &#58; operator can be used to determine if a particular event has occurred. error&#58; If the pipeline is running, this value is NULL. Once the pipeline finishes, the value is the standard Google error code. labels.key or labels.&quot;key with space&quot; where key is a label key. done&#58; If the pipeline is running, this value is false. Once the pipeline finishes, the value is true. In v1 and v1alpha2, the following filter fields are supported&#58; projectId&#58; Required. Corresponds to OperationMetadata.projectId. createTime&#58; The time this job was created, in seconds from the epoch. Can use &gt;= and/or &lt;= operators. status&#58; Can be RUNNING, SUCCESS, FAILURE, or CANCELED. Only one status may be specified. labels.key where key is a label key. Examples&#58; projectId = my-project AND createTime &gt;= 1432140000 projectId = my-project AND createTime &gt;= 1432140000 AND createTime &lt;= 1432150000 AND status = RUNNING projectId = my-project AND labels.color = * projectId = my-project AND labels.color = red :pageSize (type: integer()) - The maximum number of results to return. The maximum value is 256. :pageToken (type: String.t) - The standard list page token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Genomics.V1.Model.ListOperationsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Genomics.V1.Api.Operations.html#genomics_operations_list/4","title":"GoogleApi.Genomics.V1.Api.Operations.genomics_operations_list/4","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.Genomics.V1.","ref":"GoogleApi.Genomics.V1.Connection.html","title":"GoogleApi.Genomics.V1.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#delete/3","title":"GoogleApi.Genomics.V1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#delete!/3","title":"GoogleApi.Genomics.V1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.Genomics.V1.Connection.html#execute/2","title":"GoogleApi.Genomics.V1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#get/3","title":"GoogleApi.Genomics.V1.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#get!/3","title":"GoogleApi.Genomics.V1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#head/3","title":"GoogleApi.Genomics.V1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#head!/3","title":"GoogleApi.Genomics.V1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"GoogleApi.Genomics.V1.Connection.html#new/0","title":"GoogleApi.Genomics.V1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"GoogleApi.Genomics.V1.Connection.html#new/1","title":"GoogleApi.Genomics.V1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#options/3","title":"GoogleApi.Genomics.V1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#options!/3","title":"GoogleApi.Genomics.V1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#patch/4","title":"GoogleApi.Genomics.V1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#patch!/4","title":"GoogleApi.Genomics.V1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#post/4","title":"GoogleApi.Genomics.V1.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#post!/4","title":"GoogleApi.Genomics.V1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#put/4","title":"GoogleApi.Genomics.V1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#put!/4","title":"GoogleApi.Genomics.V1.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.Genomics.V1.Connection.html#request/2","title":"GoogleApi.Genomics.V1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"GoogleApi.Genomics.V1.Connection.html#request!/2","title":"GoogleApi.Genomics.V1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#trace/3","title":"GoogleApi.Genomics.V1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Genomics.V1.Connection.html#trace!/3","title":"GoogleApi.Genomics.V1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Connection.html#t:option/0","title":"GoogleApi.Genomics.V1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.Genomics.V1.Connection.html#t:t/0","title":"GoogleApi.Genomics.V1.Connection.t/0","type":"type"},{"doc":"The request message for Operations.CancelOperation. Attributes","ref":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.html","title":"GoogleApi.Genomics.V1.Model.CancelOperationRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.html#decode/2","title":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.CancelOperationRequest.t/0","type":"type"},{"doc":"Describes a Compute Engine resource that is being managed by a running pipeline. Attributes diskNames (type: list(String.t), default: nil) - The names of the disks that were created for this pipeline. instanceName (type: String.t, default: nil) - The instance on which the operation is running. machineType (type: String.t, default: nil) - The machine type of the instance. zone (type: String.t, default: nil) - The availability zone in which the instance resides.","ref":"GoogleApi.Genomics.V1.Model.ComputeEngine.html","title":"GoogleApi.Genomics.V1.Model.ComputeEngine","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.ComputeEngine.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ComputeEngine.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.ComputeEngine.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ComputeEngine.t/0","type":"type"},{"doc":"An event generated when a container is forcibly terminated by the worker. Currently, this only occurs when the container outlives the timeout specified by the user. Attributes actionId (type: integer(), default: nil) - The numeric ID of the action that started the container.","ref":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.html","title":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ContainerKilledEvent.t/0","type":"type"},{"doc":"An event generated when a container starts. Attributes actionId (type: integer(), default: nil) - The numeric ID of the action that started this container. ipAddress (type: String.t, default: nil) - The public IP address that can be used to connect to the container. This field is only populated when at least one port mapping is present. If the instance was created with a private address, this field will be empty even if port mappings exist. portMappings (type: map(), default: nil) - The container-to-host port mappings installed for this container. This set will contain any ports exposed using the PUBLISH_EXPOSED_PORTS flag as well as any specified in the Action definition.","ref":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.html","title":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ContainerStartedEvent.t/0","type":"type"},{"doc":"An event generated when a container exits. Attributes actionId (type: integer(), default: nil) - The numeric ID of the action that started this container. exitStatus (type: integer(), default: nil) - The exit status of the container. stderr (type: String.t, default: nil) - The tail end of any content written to standard error by the container. If the content emits large amounts of debugging noise or contains sensitive information, you can prevent the content from being printed by setting the DISABLE_STANDARD_ERROR_CAPTURE flag. Note that only a small amount of the end of the stream is captured here. The entire stream is stored in the /google/logs directory mounted into each action, and can be copied off the machine as described elsewhere.","ref":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.html","title":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ContainerStoppedEvent.t/0","type":"type"},{"doc":"An event generated whenever a resource limitation or transient error delays execution of a pipeline that was otherwise ready to run. Attributes cause (type: String.t, default: nil) - A textual description of the cause of the delay. The string can change without notice because it is often generated by another service (such as Compute Engine). metrics (type: list(String.t), default: nil) - If the delay was caused by a resource shortage, this field lists the Compute Engine metrics that are preventing this operation from running (for example, CPUS or INSTANCES). If the particular metric is not known, a single UNKNOWN metric will be present.","ref":"GoogleApi.Genomics.V1.Model.DelayedEvent.html","title":"GoogleApi.Genomics.V1.Model.DelayedEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.DelayedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.DelayedEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.DelayedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.DelayedEvent.t/0","type":"type"},{"doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {}. Attributes","ref":"GoogleApi.Genomics.V1.Model.Empty.html","title":"GoogleApi.Genomics.V1.Model.Empty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.Empty.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Empty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.Empty.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Empty.t/0","type":"type"},{"doc":"Carries information about events that occur during pipeline execution. Attributes description (type: String.t, default: nil) - A human-readable description of the event. Note that these strings can change at any time without notice. Any application logic must use the information in the details field. details (type: map(), default: nil) - Machine-readable details about the event. timestamp (type: DateTime.t, default: nil) - The time at which the event occurred.","ref":"GoogleApi.Genomics.V1.Model.Event.html","title":"GoogleApi.Genomics.V1.Model.Event","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.Event.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Event.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.Event.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Event.t/0","type":"type"},{"doc":"An event generated when the execution of a pipeline has failed. Note that other events can continue to occur after this event. Attributes cause (type: String.t, default: nil) - The human-readable description of the cause of the failure. code (type: String.t, default: nil) - The Google standard error code that best describes this failure.","ref":"GoogleApi.Genomics.V1.Model.FailedEvent.html","title":"GoogleApi.Genomics.V1.Model.FailedEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.FailedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.FailedEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.FailedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.FailedEvent.t/0","type":"type"},{"doc":"The response message for Operations.ListOperations. Attributes nextPageToken (type: String.t, default: nil) - The standard List next-page token. operations (type: list(GoogleApi.Genomics.V1.Model.Operation.t), default: nil) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.html","title":"GoogleApi.Genomics.V1.Model.ListOperationsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.ListOperationsResponse.t/0","type":"type"},{"doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (type: boolean(), default: nil) - If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available. error (type: GoogleApi.Genomics.V1.Model.Status.t, default: nil) - The error result of the operation in case of failure or cancellation. metadata (type: map(), default: nil) - An OperationMetadata or Metadata object. This will always be returned with the Operation. name (type: String.t, default: nil) - The server-assigned name, which is only unique within the same service that originally returns it. For example&#58; operations/CJHU7Oi_ChDrveSpBRjfuL-qzoWAgEw response (type: map(), default: nil) - An Empty object.","ref":"GoogleApi.Genomics.V1.Model.Operation.html","title":"GoogleApi.Genomics.V1.Model.Operation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.Operation.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Operation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.Operation.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Operation.t/0","type":"type"},{"doc":"An event that occurred during an Operation. Attributes description (type: String.t, default: nil) - Required description of event. endTime (type: DateTime.t, default: nil) - Optional time of when event finished. An event can have a start time and no finish time. If an event has a finish time, there must be a start time. startTime (type: DateTime.t, default: nil) - Optional time of when event started.","ref":"GoogleApi.Genomics.V1.Model.OperationEvent.html","title":"GoogleApi.Genomics.V1.Model.OperationEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.OperationEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.OperationEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.OperationEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.OperationEvent.t/0","type":"type"},{"doc":"Metadata describing an Operation. Attributes clientId (type: String.t, default: nil) - This field is deprecated. Use labels instead. Optionally provided by the caller when submitting the request that creates the operation. createTime (type: DateTime.t, default: nil) - The time at which the job was submitted to the Genomics service. endTime (type: DateTime.t, default: nil) - The time at which the job stopped running. events (type: list(GoogleApi.Genomics.V1.Model.OperationEvent.t), default: nil) - Optional event messages that were generated during the job&#39;s execution. This also contains any warnings that were generated during import or export. labels (type: map(), default: nil) - Optionally provided by the caller when submitting the request that creates the operation. projectId (type: String.t, default: nil) - The Google Cloud Project in which the job is scoped. request (type: map(), default: nil) - The original request that started the operation. Note that this will be in current version of the API. If the operation was started with v1beta2 API and a GetOperation is performed on v1 API, a v1 request will be returned. runtimeMetadata (type: map(), default: nil) - Runtime metadata on this Operation. startTime (type: DateTime.t, default: nil) - The time at which the job began to run.","ref":"GoogleApi.Genomics.V1.Model.OperationMetadata.html","title":"GoogleApi.Genomics.V1.Model.OperationMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.OperationMetadata.html#decode/2","title":"GoogleApi.Genomics.V1.Model.OperationMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.OperationMetadata.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.OperationMetadata.t/0","type":"type"},{"doc":"An event generated when the worker starts pulling an image. Attributes imageUri (type: String.t, default: nil) - The URI of the image that was pulled.","ref":"GoogleApi.Genomics.V1.Model.PullStartedEvent.html","title":"GoogleApi.Genomics.V1.Model.PullStartedEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.PullStartedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.PullStartedEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.PullStartedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.PullStartedEvent.t/0","type":"type"},{"doc":"An event generated when the worker stops pulling an image. Attributes imageUri (type: String.t, default: nil) - The URI of the image that was pulled.","ref":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.html","title":"GoogleApi.Genomics.V1.Model.PullStoppedEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.PullStoppedEvent.t/0","type":"type"},{"doc":"The response to the RunPipeline method, returned in the operation&#39;s result field on success. Attributes","ref":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.html","title":"GoogleApi.Genomics.V1.Model.RunPipelineResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.html#decode/2","title":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.RunPipelineResponse.t/0","type":"type"},{"doc":"Runtime metadata that will be populated in the runtimeMetadata field of the Operation associated with a RunPipeline execution. Attributes computeEngine (type: GoogleApi.Genomics.V1.Model.ComputeEngine.t, default: nil) - Execution information specific to Google Compute Engine.","ref":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.html","title":"GoogleApi.Genomics.V1.Model.RuntimeMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.html#decode/2","title":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.RuntimeMetadata.t/0","type":"type"},{"doc":"The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide. Attributes code (type: integer(), default: nil) - The status code, which should be an enum value of google.rpc.Code. details (type: list(map()), default: nil) - A list of messages that carry the error details. There is a common set of message types for APIs to use. message (type: String.t, default: nil) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.Genomics.V1.Model.Status.html","title":"GoogleApi.Genomics.V1.Model.Status","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.Status.html#decode/2","title":"GoogleApi.Genomics.V1.Model.Status.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.Status.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.Status.t/0","type":"type"},{"doc":"An event generated when the execution of a container results in a non-zero exit status that was not otherwise ignored. Execution will continue, but only actions that are flagged as ALWAYS_RUN will be executed. Other actions will be skipped. Attributes actionId (type: integer(), default: nil) - The numeric ID of the action that started the container. exitStatus (type: integer(), default: nil) - The exit status of the container.","ref":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.html","title":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.UnexpectedExitStatusEvent.t/0","type":"type"},{"doc":"An event generated after a worker VM has been assigned to run the pipeline. Attributes instance (type: String.t, default: nil) - The worker&#39;s instance name. machineType (type: String.t, default: nil) - The machine type that was assigned for the worker. zone (type: String.t, default: nil) - The zone the worker is running in.","ref":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.html","title":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.WorkerAssignedEvent.t/0","type":"type"},{"doc":"An event generated when the worker VM that was assigned to the pipeline has been released (deleted). Attributes instance (type: String.t, default: nil) - The worker&#39;s instance name. zone (type: String.t, default: nil) - The zone the worker was running in.","ref":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.html","title":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.html#decode/2","title":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.html#t:t/0","title":"GoogleApi.Genomics.V1.Model.WorkerReleasedEvent.t/0","type":"type"}]